App\Library\Amazon\Classes\OfficeScanner:
    xml_root_name: OfficeScanner
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\OfficeScanner\VariationDataAType
        connectivityTechnology:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityTechnology
            accessor:
                getter: getConnectivityTechnology
                setter: setConnectivityTechnology
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        productTypeSubcategory:
            expose: true
            access_type: public_method
            serialized_name: ProductTypeSubcategory
            accessor:
                getter: getProductTypeSubcategory
                setter: setProductTypeSubcategory
            type: string
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
